{
    "eslint.alwaysShowStatus": true,
    "tslint.autoFixOnSave": true,
    "editor.formatOnSave": true,
    "editor.formatOnPaste": true,
    "editor.defaultFormatter": "esbenp.prettier-vscode",
    "[markdown]": {
        "editor.wordWrap": "on",
        "editor.defaultFormatter": "vscode.markdown-language-features"
    },
    "[typescriptreact]": {
        "editor.defaultFormatter": "esbenp.prettier-vscode"
    },
    "liveServer.settings.root": "/dist",
    "liveServer.settings.file": "spa.html",
    "liveServer.settings.port": 5501,
    "liveServer.settings.proxy": {
        "enable": true,
        "baseUri": "/api",
        "proxyUri": "http://localhost:8080/api/v1/_/renz_shop_2024"
        //"proxyUri": "https://dev.renzshop.testversion.online/api"
    },
    "extensions.ignoreRecommendations": true,
    "files.autoSave": "off",
    "typescript.tsc.autoDetect": "off",
    "npm.autoDetect": "off",
    "debug.allowBreakpointsEverywhere": true,
    "html.autoClosingTags": false,
    "[django-html]": {
        "editor.formatOnSave": true,
        "editor.defaultFormatter": "batisteo.vscode-django"
    },
    "saveAndRun": {
        "commands": [
            {
                "match": "/api/.*(\\.ya?ml|js|env)$",
                "cmd": "echo \"\" > ../../cms/tibi-server/tmp.html",
                "silent": true
            }
        ]
    },
    "i18n-ally.sourceLanguage": "de",
    "i18n-ally.keystyle": "nested",
    "yaml.schemas": {
        "./../../cms/tibi-types/schemas/api-config/config.json": "api/config.y*ml",
        "./../../cms/tibi-types/schemas/api-config/collection.json": "api/collections/*.y*ml",
        "./../../cms/tibi-types/schemas/api-config/field.json": "api/collections/fields/*.y*ml"
    },
    "yaml.customTags": ["!include scalar"],
    "filewatcher.commands": [
        {
            "match": "/api/.*(\\.ya?ml|js|env)$",
            "isAsync": false,
            "cmd": "cd ${currentWorkspace} && scripts/reload-local-tibi.sh",
            "event": "onFileChange"
        }
    ],
    "workbench.colorCustomizations": {
        "activityBar.activeBackground": "#ec1b3c",
        "activityBar.background": "#ec1b3c",
        "activityBar.foreground": "#e7e7e7",
        "activityBar.inactiveForeground": "#e7e7e799",
        "activityBarBadge.background": "#2fce11",
        "activityBarBadge.foreground": "#15202b",
        "commandCenter.border": "#e7e7e799",
        "sash.hoverBorder": "#ec1b3c",
        "statusBar.background": "#c4102d",
        "statusBar.foreground": "#e7e7e7",
        "statusBarItem.hoverBackground": "#ec1b3c",
        "statusBarItem.remoteBackground": "#c4102d",
        "statusBarItem.remoteForeground": "#e7e7e7",
        "titleBar.activeBackground": "#c4102d",
        "titleBar.activeForeground": "#e7e7e7",
        "titleBar.inactiveBackground": "#c4102d99",
        "titleBar.inactiveForeground": "#e7e7e799",
        "editorGroup.border": "#ec1b3c",
        "panel.border": "#ec1b3c",
        "sideBar.border": "#ec1b3c",
        "statusBar.border": "#c4102d",
        "tab.activeBorder": "#ec1b3c",
        "titleBar.border": "#c4102d"
    },
    "peacock.remoteColor": "#C4102D",
    "editor.tabCompletion": "on",
    "diffEditor.codeLens": true,
    "i18n-ally.localesPaths": ["frontend/locales"],
    "[svelte]": {
        "editor.defaultFormatter": "svelte.svelte-vscode"
    }
}
